import { Controller, Get, Post, Body, Param } from '@nestjs/common'
import { UsersService } from './users.service'
import { CreateUserDto } from './dto/create-user.dto'

@Controller()
export class UsersController {
  constructor(private readonly userService: UsersService) {}

  @Get('users')
  async findUsers() {
    return this.userService.findUsers()
  }

  @Get('users/:id')
  async getUserInfo(@Param('id') id: string) {
    return this.userService.getUserInfo(id)
  }

  @Post('users')
  async createUser(@Body() userData: CreateUserDto) {
    return this.userService.createUser(userData)
  }
}
